import java.awt.Button;
import java.awt.Dialog;
import java.awt.FlowLayout;
import java.awt.Label;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.net.InetAddress;


public class Richiesta extends Dialog implements ActionListener {
	private static final long serialVersionUID = -9030494851574943691L;
	private Label lbl;
	private Button accetta;
	private Button rifiuta;
	private boolean accettato;
	
	public Richiesta(String name, InetAddress addr) {
		super((Dialog)null, "Richiesta di gioco", true);
		this.setSize(500, 100);
		this.setLayout(new FlowLayout());
		lbl = new Label(name+" ["+addr.toString()+"] vuole giocare con te.");
		this.add(lbl);
		accetta = new Button("Accetta");
		accetta.addActionListener(this);
		this.add(accetta);
		rifiuta = new Button("Rifiuta");
		rifiuta.addActionListener(this);
		this.add(rifiuta);
		this.setVisible(true);
	}
	
	public boolean getResponse() {
		return accettato;
	}

	@Override
	public void actionPerformed(ActionEvent arg0) {
		if (arg0.getSource() == accetta) {
			accettato = true;
		} else {
			accettato = false;
		}
		this.setVisible(false);
	}
}
