import java.awt.Button;
import java.awt.Dialog;
import java.awt.FlowLayout;
import java.awt.Label;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;


public class Fine extends Dialog implements ActionListener {
	private static final long serialVersionUID = -1245643366718052127L;
	
	private Label lbl;
	private Button btnOK;
	
	public static final int WIN  = 0;
	public static final int LOSE = 1;
	public static final int DRAW = 2;
	
	public Fine(int result) {
		super((Dialog)null, "La partita è finita", true);
		this.setSize(500, 100);
		if (result == WIN) {
			lbl = new Label("Hai vinto!");
		} else if (result == LOSE) {
			lbl = new Label("Hai perso!");
		} else {
			lbl = new Label("Pareggio!");
		}
		this.add(lbl);
		btnOK = new Button("OK");
		btnOK.addActionListener(this);
		this.add(btnOK);
		this.setLayout(new FlowLayout());
		this.setVisible(true);
	}

	@Override
	public void actionPerformed(ActionEvent arg0) {
		this.setVisible(false);
	}
}