import java.awt.Button;
import java.awt.Dialog;
import java.awt.FlowLayout;
import java.awt.Label;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.net.InetAddress;


public class Risposta extends Dialog implements ActionListener {
	private static final long serialVersionUID = 6113949120483965688L;
	private Label lbl;
	private Button btnOK;
	
	public Risposta(String name, InetAddress addr, boolean accept) {
		super((Dialog)null, "", true);
		this.setSize(500, 100);
		if (accept) {
			this.setTitle("Richiesta accettata");
			lbl = new Label(name+" ["+addr.toString()+"] ha accettato di giocare con te.");
		}
		else {
			this.setTitle("Richiesta rifiutata");
			lbl = new Label(addr.toString()+" ha rifiutato di giocare con te.");
		}
		this.add(lbl);
		btnOK = new Button("OK");
		btnOK.addActionListener(this);
		this.add(btnOK);
		this.setLayout(new FlowLayout());
		this.setVisible(true);
	}

	@Override
	public void actionPerformed(ActionEvent arg0) {
		this.setVisible(false);
	}
}
